sap.ui.controller("data_operation.demoCalls", {

/**
* Called when a controller is instantiated and its View controls (if available) are already created.
* Can be used to modify the View before it is displayed, to bind event handlers and do other one-time initialization.
* @memberOf data_operation.demoCalls
*/
	onInit: function() {

			$.ajax({
				type: "GET",
				url: "http://ehp7prd.sap.in:8200/sap/opu/odata/sap/Z_DEMO_TEST4_SRV/ZUI5_demo_tableSet/?$format=json",
				dataType: "json",
				headers:  
                {       
             	   
             	  		"X-Requested-With": "XMLHttpRequest", 
							"Content-Type": "application/atom+xml", 
							"DataServiceVersion": "2.0",          
							"X-CSRF-Token":"Fetch" 
             	                             } , 
				success: function (data,response,xhr) {
				
					sap.ui.getCore().setModel(xhr.getResponseHeader('x-csrf-token'),"csrftoken");
					
				},
				error: function (error) {
					alert("Problem in connection");
					console.log(error);
				}
				
				});
		
	},
	
	onSend:function(evt,sOperation){
		 var oModel = new sap.ui.model.odata.ODataModel("http://ehp7prd.sap.in:8200/sap/opu/odata/sap/Z_DEMO_TEST4_SRV/")
		var oData = {
				
			
				
					Zvblen:sap.ui.getCore().byId("idZvblen").getValue(),
					Zerdat:sap.ui.getCore().byId("idZerdat").getValue(),
					Zernam:sap.ui.getCore().byId("idZernam").getValue(),
					Zbstnk:sap.ui.getCore().byId("idZbstnk").getValue(),
			
			
		};
		
		
		if(sOperation === "Add"){

			oModel.create('ZUI5_demo_tableSet', oData, null, function(){
				sap.m.MessageToast.show('Successfully added '+oData.Zvblen);
			    },function(){
			    	sap.m.MessageToast.show('Error in Adding new record');
			});
			
		}else if(sOperation === "Update"){
			
			oModel.update('ZUI5_demo_tableSet(\''+oData.Zvblen+'\')', oData, null, function(){
				sap.m.MessageToast.show('Successfully Updated '+oData.Zvblen);
			    },function(){
			    	sap.m.MessageToast.show('Error in Updating record');
			});
			
		}else if(sOperation === "Delete"){
			oModel.remove('ZUI5_demo_tableSet(\''+oData.Zvblen+'\')', null,function(){
				sap.m.MessageToast.show('Successfully Deleted '+oData.Zvblen);
			    },function(){
			    	sap.m.MessageToast.show('Error in Updating record');
			});
			
			
		}else{
			
		}
	}

/**
* Similar to onAfterRendering, but this hook is invoked before the controller's View is re-rendered
* (NOT before the first rendering! onInit() is used for that one!).
* @memberOf data_operation.demoCalls
*/
//	onBeforeRendering: function() {
//
//	},

/**
* Called when the View has been rendered (so its HTML is part of the document). Post-rendering manipulations of the HTML could be done here.
* This hook is the same one that SAPUI5 controls get after being rendered.
* @memberOf data_operation.demoCalls
*/
//	onAfterRendering: function() {
//
//	},

/**
* Called when the Controller is destroyed. Use this one to free resources and finalize activities.
* @memberOf data_operation.demoCalls
*/
//	onExit: function() {
//
//	}

});