sap.ui.jsview("data_operation.demoCalls", {

	/** Specifies the Controller belonging to this View. 
	* In the case that it is not implemented, or that "null" is returned, this View does not have a Controller.
	* @memberOf data_operation.demoCalls
	*/ 
	getControllerName : function() {
		return "data_operation.demoCalls";
	},

	/** Is initially called once after the Controller has been instantiated. It is the place where the UI is constructed. 
	* Since the Controller is given to this method, its event handlers can be attached right away. 
	* @memberOf data_operation.demoCalls
	*/ 
	createContent : function(oController) {
 		
		
		
		
		
		return new sap.m.Page({
			title: "Data operation",
			content: [
			          
								new sap.m.Input("idZvblen",{
									
									value:"0000000001",
									width:"70%",
									
									
								}),new sap.m.Input("idMandat",{
									
									value:"001",
									width:"70%",
									
									
								}),new sap.m.Input("idZerdat",{
									
									value:"2015-04-24T00:00:00",
									width:"70%",
									
									
								}),new sap.m.Input("idZernam",{
									
									
									value:"Ajay",
									width:"70%",
									
									
								}),new sap.m.Input("idZbstnk",{
									
									value:"0000000021",
									width:"70%",
									
									
								}),
								new sap.m.Button({
									text:"Add",
									type:sap.m.ButtonType.Accept,
									press:["Add",oController.onSend,oController]
								}),new sap.m.Button({
									text:"Update",
									type:sap.m.ButtonType.Emphasized,
									press:["Update",oController.onSend,oController]
								}),new sap.m.Button({
									text:"Delete",
									type:sap.m.ButtonType.Reject,
									press:["Delete",oController.onSend,oController]
								})
			]
		});
	}

});